Index: /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/profiles/energy/power/PowerInterfaceFactory.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/profiles/energy/power/PowerInterfaceFactory.java	(revision 1247)
+++ /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/profiles/energy/power/PowerInterfaceFactory.java	(revision 1318)
@@ -4,6 +4,6 @@
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.profiles.energy.power.ui.PowerInterface;
+import schedframe.resources.devices.DevicePowerInterface;
 import schedframe.resources.devices.PhysicalResource;
-import schedframe.resources.devices.PhysicalResourcePowerInterface;
 
 public class PowerInterfaceFactory {
@@ -22,15 +22,15 @@
 			powerInterface = new schedframe.resources.computing.profiles.energy.power.ui.ProcessorPowerInterface((ComputingResource)resource, pp);
 		else if (resource.getType().getName().equals(StandardResourceType.CRAH.getName()))
-			powerInterface = new PhysicalResourcePowerInterface(resource, pp);
+			powerInterface = new DevicePowerInterface(resource, pp);
 		else if (resource.getType().getName().equals(StandardResourceType.Fan.getName()))
-			powerInterface = new PhysicalResourcePowerInterface(resource, pp);
+			powerInterface = new DevicePowerInterface(resource, pp);
 		else if (resource.getType().getName().equals(StandardResourceType.Inlet.getName()))
-			powerInterface = new PhysicalResourcePowerInterface(resource, pp);
+			powerInterface = new DevicePowerInterface(resource, pp);
 		else if (resource.getType().getName().equals(StandardResourceType.Outlet.getName()))
-			powerInterface = new PhysicalResourcePowerInterface(resource, pp);
+			powerInterface = new DevicePowerInterface(resource, pp);
 		else if (resource.getType().getName().equals(StandardResourceType.CoolingDevice.getName()))
-			powerInterface = new PhysicalResourcePowerInterface(resource, pp);
+			powerInterface = new DevicePowerInterface(resource, pp);
 		else if (resource.getType().getName().equals(StandardResourceType.Heatsink.getName()))
-			powerInterface = new PhysicalResourcePowerInterface(resource, pp);
+			powerInterface = new DevicePowerInterface(resource, pp);
 		else 
 			powerInterface = new schedframe.resources.computing.profiles.energy.power.ui.ComputingResourcePowerInterface((ComputingResource)resource, pp);
Index: /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/profiles/energy/airthroughput/AirThroughputInterfaceFactory.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/profiles/energy/airthroughput/AirThroughputInterfaceFactory.java	(revision 1207)
+++ /DCWoRMS/branches/coolemall/src/schedframe/resources/computing/profiles/energy/airthroughput/AirThroughputInterfaceFactory.java	(revision 1318)
@@ -6,5 +6,5 @@
 import schedframe.resources.computing.profiles.energy.airthroughput.ui.ComputingResourceAirThroughputInterface;
 import schedframe.resources.devices.PhysicalResource;
-import schedframe.resources.devices.PhysicalResourceAirThroughputInterface;
+import schedframe.resources.devices.DeviceAirThroughputInterface;
 import schedframe.resources.devices.coolemall.FanAirThroughputInterface;
 
@@ -16,5 +16,5 @@
 		AirThroughputInterface airThroughputInterface = null;
 		if(resource.getType().getName().equals(StandardResourceType.CRAH.getName()))
-			airThroughputInterface = new PhysicalResourceAirThroughputInterface(resource, atp);
+			airThroughputInterface = new DeviceAirThroughputInterface(resource, atp);
 		else if(resource.getType().getName().equals(StandardResourceType.Fan.getName()))
 			airThroughputInterface = new FanAirThroughputInterface(resource, atp);
@@ -24,5 +24,5 @@
 			airThroughputInterface = new FanAirThroughputInterface(resource, atp);
 		else if(resource.getType().getName().equals(StandardResourceType.CoolingDevice.getName()))
-			airThroughputInterface = new PhysicalResourceAirThroughputInterface(resource, atp);
+			airThroughputInterface = new DeviceAirThroughputInterface(resource, atp);
 		else
 			airThroughputInterface = new ComputingResourceAirThroughputInterface((ComputingResource)resource, atp);