Index: DCWoRMS/branches/coolemall/src/test/freqscaling/workload/workload50NEW.swf
===================================================================
--- DCWoRMS/branches/coolemall/src/test/freqscaling/workload/workload50NEW.swf	(revision 1324)
+++ DCWoRMS/branches/coolemall/src/test/freqscaling/workload/workload50NEW.swf	(revision 1324)
@@ -0,0 +1,24 @@
+;Automatically generated workload description by the Data Center Workload Simulator																																				
+;		j|		s|		w|		r|		c|		c|		m|		p|		t|		m|		s|		u|		g|		e|		q|		p|		p|		t|
+;		o|		u|		a|		u|		p|		p|		e|		r|		i|		e|		t|		i|		i|		x|		u|		a|		r|		h|
+;		b|		b|		i|		n|		u|		u|		m|		o|		m|		m|		a|		d|		d|		e|		e|		r|		e|		i|
+;		 |		m|		t|		t|		 |		 |		 |		c|		e|		 |		t|		 |		 |		c|		u|		t|		c|		n|
+;		 |		i|		 |		i|		a|		t|		u|		 |		 |		r|		u|		 |		 |		u|		e|		i|		 |		k|
+;		 |		t|		 |		m|		l|		i|		s|		r|		r|		e|		s|		 |		 |		t|		 |		t|		j|		 |
+;		 |		 |		 |		e|		l|		m|		e|		e|		e|		q|		 |		 |		 |		a|		n|		i|		o|		t|
+;		 |		 |		 |		 |		o|		e|		d|		q|		q|		 |		 |		 |		 |		b|		r|		o|		b|		i|
+;		 |		 |		 |		 |		c|		 |		 |		 |		 |		 |		 |		 |		 |		l|		 |		n|		 |		m|
+;		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		e|		 |		 |		 |		e|
+;PUSpeed: 1																																				
+;StartTime: Tue Oct 8 10:00:00 CET 2013
+;Application: 1 src/test/freqscaling/workload/opensslSpeed.xml																												
+		0		5		-1		514		1		-1		-1		1		514		-1		-1		-1		-1		1		-1		-1		-1		-1
+		1		8		-1		514		1		-1		-1		1		514		-1		-1		-1		-1		1		-1		-1		-1		-1
+		2		14		-1		514		1		-1		-1		1		514		-1		-1		-1		-1		1		-1		-1		-1		-1
+		3		18		-1		514		1		-1		-1		1		514		-1		-1		-1		-1		1		-1		-1		-1		-1
+		4		24		-1		514		1		-1		-1		1		514		-1		-1		-1		-1		1		-1		-1		-1		-1
+		5		34		-1		514		1		-1		-1		1		514		-1		-1		-1		-1		1		-1		-1		-1		-1
+		6		41		-1		514		1		-1		-1		1		514		-1		-1		-1		-1		1		-1		-1		-1		-1
+		7		48		-1		514		1		-1		-1		1		514		-1		-1		-1		-1		1		-1		-1		-1		-1
+		8		51		-1		514		1		-1		-1		1		514		-1		-1		-1		-1		1		-1		-1		-1		-1
+		9		57		-1		514		1		-1		-1		1		514		-1		-1		-1		-1		1		-1		-1		-1		-1
Index: DCWoRMS/branches/coolemall/src/test/freqscaling/workload/opensslSpeed.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/freqscaling/workload/opensslSpeed.xml	(revision 1324)
+++ DCWoRMS/branches/coolemall/src/test/freqscaling/workload/opensslSpeed.xml	(revision 1324)
@@ -0,0 +1,168 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<job id="openssl" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:noNamespaceSchemaLocation="../QCGJobDescriptionSchemaNew.xsd">
+	<task id="common/scripts/opensslScript">
+		<execution>
+			<resourceConsumptionProfile  type="Fusion G - T40N">
+				<properties name="usefulWork">333740.2</properties>
+				<properties name="usefulWorkUnit">rsa1024sign</properties>
+				<resourceConsumption>
+					<referenceHardware>
+						<reference name="node">amdf_0_01</reference>
+						<reference name="cpu_maxfreq">1000</reference>
+					</referenceHardware>
+					<duration>PT512S</duration>
+					<behaviour name="PM_Power">
+						<value>16.410219</value>
+					</behaviour>
+					<behaviour name="PM_Disk_IO">
+						<value>992.000000</value>
+					</behaviour>
+					<behaviour name="PM_Memory_RSS">
+						<value>554.722656</value>
+					</behaviour>
+					<behaviour name="PM_Memory_Usage">
+						<value>0.000605</value>
+					</behaviour>
+					<behaviour name="PM_CPU_Usage">
+						<value>0.492442</value>
+					</behaviour>
+					<behaviour name="PM_Download">
+						<value>0.000000</value>
+					</behaviour>
+					<behaviour name="PM_Upload">
+						<value>0.000000</value>
+					</behaviour>
+				</resourceConsumption>
+			</resourceConsumptionProfile>
+			 <resourceConsumptionProfile type="Atom - N2600">
+                <properties name="usefulWork">172858.2</properties>
+                <properties name="usefulWorkUnit">rsa1024sign</properties>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_01</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT513S</duration>
+                    <behaviour name="PM_Power">
+                        <value>8.426284</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>0.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>555.037037</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001095</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.250743</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>0.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>0.000000</value>
+                    </behaviour>
+                </resourceConsumption>
+            </resourceConsumptionProfile>
+            <resourceConsumptionProfile type="Atom - D510">
+                <properties name="usefulWork">172858.2</properties>
+                <properties name="usefulWorkUnit">rsa1024sign</properties>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">atom64_0_01</reference>
+                        <reference name="cpu_maxfreq">1600</reference>
+                    </referenceHardware>
+                    <duration>PT513S</duration>
+                    <behaviour name="PM_Power">
+                        <value>8.426284</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>0.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>555.037037</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.001095</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.250743</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>0.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>0.000000</value>
+                    </behaviour>
+                </resourceConsumption>
+            </resourceConsumptionProfile>
+            <resourceConsumptionProfile type="Core i7 - 3615QE">
+                <properties name="usefulWork">1946004</properties>
+                <properties name="usefulWorkUnit">rsa1024sign</properties>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">i7_0_13</reference>
+                        <reference name="cpu_maxfreq">2301</reference>
+                    </referenceHardware>
+                    <duration>PT514S</duration>
+                    <behaviour name="PM_Power">
+                        <value>4.220202</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>0.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>556.180934</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.000136</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.124827</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>0.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>0.000000</value>
+                    </behaviour>
+                </resourceConsumption>
+            </resourceConsumptionProfile>
+            <resourceConsumptionProfile type="Core i7 - 2715QE">
+                <properties name="usefulWork">1581269.6</properties>
+                <properties name="usefulWorkUnit">rsa1024sign</properties>
+                <resourceConsumption>
+                    <referenceHardware>
+                        <reference name="node">i7_0_18</reference>
+                        <reference name="cpu_maxfreq">2101</reference>
+                    </referenceHardware>
+                    <duration>PT514S</duration>
+                    <behaviour name="PM_Power">
+                        <value>4.216752</value>
+                    </behaviour>
+                    <behaviour name="PM_Disk_IO">
+                        <value>0.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_RSS">
+                        <value>557.186770</value>
+                    </behaviour>
+                    <behaviour name="PM_Memory_Usage">
+                        <value>0.000136</value>
+                    </behaviour>
+                    <behaviour name="PM_CPU_Usage">
+                        <value>0.124796</value>
+                    </behaviour>
+                    <behaviour name="PM_Download">
+                        <value>0.000000</value>
+                    </behaviour>
+                    <behaviour name="PM_Upload">
+                        <value>0.000000</value>
+                    </behaviour>
+                </resourceConsumption>
+            </resourceConsumptionProfile>
+		</execution>
+	</task>
+</job>