Index: /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation_1_ResourceUtilization.txt
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation_1_ResourceUtilization.txt	(revision 1340)
+++ /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation_1_ResourceUtilization.txt	(revision 1340)
@@ -0,0 +1,27 @@
+utlization;compRes;1225666800000;0.25;
+utlization;compRes;1225668600000;0.5;
+utlization;compRes;1225670400000;0.75;
+utlization;compRes;1225672200000;1;
+utlization;compRes;1225684800000;0.75;
+utlization;compRes;1225692000000;0.5;
+utlization;compRes;1225697400000;0.25;
+utlization;compRes;1225701000000;0;
+mean: 0.7105263157894736
+utlization;compRes/Processor_1;1225666800000;1;
+utlization;compRes/Processor_1;1225684800000;0;
+utlization;compRes/Processor_1;1225701000000;0;
+mean: 0.5263157894736842
+utlization;compRes/Processor_2;1225666800000;0;
+utlization;compRes/Processor_2;1225668600000;1;
+utlization;compRes/Processor_2;1225692000000;0;
+utlization;compRes/Processor_2;1225701000000;0;
+mean: 0.6842105263157895
+utlization;compRes/Processor_3;1225666800000;0;
+utlization;compRes/Processor_3;1225670400000;1;
+utlization;compRes/Processor_3;1225697400000;0;
+utlization;compRes/Processor_3;1225701000000;0;
+mean: 0.7894736842105263
+utlization;compRes/Processor_4;1225666800000;0;
+utlization;compRes/Processor_4;1225672200000;1;
+utlization;compRes/Processor_4;1225701000000;0;
+mean: 0.8421052631578947
Index: /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation_1_Simulation.txt
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation_1_Simulation.txt	(revision 1340)
+++ /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation_1_Simulation.txt	(revision 1340)
@@ -0,0 +1,14 @@
+Resource name;mean;stdev;variance;minimum;maximum;sum;count;
+Delayed tasks;0;0;0;0;0;0;1;
+Failed requests (tasks);0;0;0;0;0;0;1;
+Makespan;34,200;0;0;34,200;34,200;34,200;1;
+Resources queue length;0.158;0;0;0.158;0.158;0.158;1;
+Resources total load;0.711;0;0;0.711;0.711;0.711;1;
+Energy usage;3,155;0;0;3,155;3,155;12,620;4;
+Task completion time;27,000;6,104.097;37,260,000;18,000;34,200;108,000;4;
+Task execution time;24,300;4,124.318;17,010,000;18,000;28,800;97,200;4;
+Task start time;0;0;0;0;0;0;4;
+Task flow time;24,300;4,124.318;17,010,000;18,000;28,800;97,200;4;
+Task waiting time;0;0;0;0;0;0;4;
+Task lateness;0;0;0;0;0;0;4;
+Task tardiness;0;0;0;0;0;0;4;
Index: /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation_1_Tasks.txt
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation_1_Tasks.txt	(revision 1340)
+++ /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation_1_Tasks.txt	(revision 1340)
@@ -0,0 +1,5 @@
+JobID;TaskID;UserDN;SchedName;CpuCnt;ExecStartDate;ExecFinishDate;ExecEndDate;GB_SubDate;LB_SubDate;CompletionTime;ExecStartTime;ExecutionTime;ReadyTime;StartTime;FlowTime;WaitingTime;GQ_WaitingTime;Lateness;Tardiness;ReservStartDate;ReservFinishDate;HostNames;ProcessorName;Energy;AppName;
+1;1;-1;cluster;1;1225666800;1225684800;1225684800;1225666800;1225666800;18000;0;18000;0;0;18000;0;0;0;0;0;0;[];[compRes/Processor_1];0;null;
+2;2;-1;cluster;1;1225668600;1225692000;1225692000;1225668600;1225668600;25200;1800;23400;1800;0;23400;0;0;0;0;0;0;[];[compRes/Processor_2];0;null;
+3;3;-1;cluster;1;1225670400;1225697400;1225697400;1225670400;1225670400;30600;3600;27000;3600;0;27000;0;0;0;0;0;0;[];[compRes/Processor_3];0;null;
+4;4;-1;cluster;1;1225672200;1225701000;1225701000;1225672200;1225672200;34200;5400;28800;5400;0;28800;0;0;0;0;0;0;[];[compRes/Processor_4];0;null;
Index: /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation_1_Metrics.txt
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation_1_Metrics.txt	(revision 1340)
+++ /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation_1_Metrics.txt	(revision 1340)
@@ -0,0 +1,11 @@
+
+
+
+
+
+
+
+
+
+
+
Index: /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/experiment.properties
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/experiment.properties	(revision 674)
+++ /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/experiment.properties	(revision 1340)
@@ -9,5 +9,5 @@
 
 # Choose directory where all result files should be placed.
-stats.outputfolder=experiment_result
+stats.outputfolder=src/test/ariel/experiment_result
 
 
Index: /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation_1_ResourceOccupancy.txt
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation_1_ResourceOccupancy.txt	(revision 1340)
+++ /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation_1_ResourceOccupancy.txt	(revision 1340)
@@ -0,0 +1,27 @@
+utlization;compRes;1225666800000;0.25;
+utlization;compRes;1225668600000;0.5;
+utlization;compRes;1225670400000;0.75;
+utlization;compRes;1225672200000;1;
+utlization;compRes;1225684800000;0.75;
+utlization;compRes;1225692000000;0.5;
+utlization;compRes;1225697400000;0.25;
+utlization;compRes;1225701000000;0;
+mean: 0.7105263157894736
+utlization;compRes/Processor_1;1225666800000;1;
+utlization;compRes/Processor_1;1225684800000;0;
+utlization;compRes/Processor_1;1225701000000;0;
+mean: 0.5263157894736842
+utlization;compRes/Processor_2;1225666800000;0;
+utlization;compRes/Processor_2;1225668600000;1;
+utlization;compRes/Processor_2;1225692000000;0;
+utlization;compRes/Processor_2;1225701000000;0;
+mean: 0.6842105263157895
+utlization;compRes/Processor_3;1225666800000;0;
+utlization;compRes/Processor_3;1225670400000;1;
+utlization;compRes/Processor_3;1225697400000;0;
+utlization;compRes/Processor_3;1225701000000;0;
+mean: 0.7894736842105263
+utlization;compRes/Processor_4;1225666800000;0;
+utlization;compRes/Processor_4;1225672200000;1;
+utlization;compRes/Processor_4;1225701000000;0;
+mean: 0.8421052631578947
Index: /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation_1_Jobs.txt
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation_1_Jobs.txt	(revision 1340)
+++ /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation_1_Jobs.txt	(revision 1340)
@@ -0,0 +1,5 @@
+jobID;meanTaskCompletionTime;meanTaskExecutionTime;meanTaskStartTime;meanTaskFlowTime;meanTaskWaitingTime;meanTaskGQ_WaitingTime;lateness;tardiness;makespan;
+1;18,000;18,000;0;18,000;0;0;0;0;18,000;
+2;25,200;23,400;0;23,400;0;0;0;0;25,200;
+3;30,600;27,000;0;27,000;0;0;0;0;30,600;
+4;34,200;28,800;0;28,800;0;0;0;0;34,200;
Index: /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation_1_EnergyUsage.txt
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation_1_EnergyUsage.txt	(revision 1340)
+++ /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation_1_EnergyUsage.txt	(revision 1340)
@@ -0,0 +1,24 @@
+powerConsumption;compRes/Processor_1;1225666800000;350;
+powerConsumption;compRes/Processor_1;1225668600000;343;
+powerConsumption;compRes/Processor_1;1225670400000;337;
+powerConsumption;compRes/Processor_1;1225672200000;330;
+powerConsumption;compRes/Processor_1;1225701000000;330;
+mean: 332.10526315789474 sum: 3155.0
+powerConsumption;compRes/Processor_2;1225666800000;350;
+powerConsumption;compRes/Processor_2;1225668600000;343;
+powerConsumption;compRes/Processor_2;1225670400000;337;
+powerConsumption;compRes/Processor_2;1225672200000;330;
+powerConsumption;compRes/Processor_2;1225701000000;330;
+mean: 332.10526315789474 sum: 3155.0
+powerConsumption;compRes/Processor_3;1225666800000;350;
+powerConsumption;compRes/Processor_3;1225668600000;343;
+powerConsumption;compRes/Processor_3;1225670400000;337;
+powerConsumption;compRes/Processor_3;1225672200000;330;
+powerConsumption;compRes/Processor_3;1225701000000;330;
+mean: 332.10526315789474 sum: 3155.0
+powerConsumption;compRes/Processor_4;1225666800000;350;
+powerConsumption;compRes/Processor_4;1225668600000;343;
+powerConsumption;compRes/Processor_4;1225670400000;337;
+powerConsumption;compRes/Processor_4;1225672200000;330;
+powerConsumption;compRes/Processor_4;1225701000000;330;
+mean: 332.10526315789474 sum: 3155.0
Index: WoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_ResourceUtilization.txt
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 1217)
+++ 	(revision )
@@ -1,27 +1,0 @@
-resourceName;timestamp;utilization;
-compRes;1225666800000;0.25;
-compRes;1225668600000;0.5;
-compRes;1225670400000;0.75;
-compRes;1225672200000;1;
-compRes;1225679400000;0.75;
-compRes;1225687439000;0.5;
-compRes;1225690769000;0.25;
-compRes;1225701000000;0;
-mean: 0.5892397660818713
-
-Processor_0;1225666800000;1;
-Processor_0;1225679400000;0;
-mean: 0.3684210526315789
-
-Processor_1;1225668600000;1;
-Processor_1;1225687439000;0;
-mean: 0.5508479532163743
-
-Processor_2;1225670400000;1;
-Processor_2;1225690769000;0;
-mean: 0.5955847953216374
-
-Processor_3;1225672200000;1;
-Processor_3;1225701000000;0;
-mean: 0.8421052631578947
-
Index: WoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_Simulation.txt	(revision 1217)
+++ 	(revision )
@@ -1,14 +1,0 @@
-Resource name;mean;stdev;variance;minimum;maximum;sum;count;
-Delayed tasks;0;0;0;0;0;0;1;
-Failed requests (tasks);0;0;0;0;0;0;1;
-Makespan;34,200;0;0;34,200;34,200;34,200;1;
-Resources queue length;0.158;0;0;0.158;0.158;0.158;1;
-Resources total load;0.589;0;0;0.589;0.589;0.589;1;
-Energy usage;3,155;0;0;3,155;3,155;12,620;4;
-Task completion time;22,852;7,746.381;60,006,416.5;12,600;34,200;91,408;4;
-Task execution time;20,152;5,779.093;33,397,916.5;12,600;28,800;80,608;4;
-Task start time;0;0;0;0;0;0;4;
-Task flow time;20,152;5,779.093;33,397,916.5;12,600;28,800;80,608;4;
-Task waiting time;0;0;0;0;0;0;4;
-Task lateness;0;0;0;0;0;0;4;
-Task tardiness;0;0;0;0;0;0;4;
Index: WoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_AirThroughput.txt
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_AirThroughput.txt	(revision 674)
+++ 	(revision )
@@ -1,6 +1,0 @@
-resourceName;timestamp;airFlow;
-
-
-
-
-
Index: WoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_Tasks.txt
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_Tasks.txt	(revision 1217)
+++ 	(revision )
@@ -1,5 +1,0 @@
-JobID;TaskID;UserDN;ResName;CpuCnt;ExecStartDate;ExecFinishDate;ExecEndDate;GB_SubDate;LB_SubDate;CompletionTime;ExecStartTime;ExecutionTime;ReadyTime;StartTime;FlowTime;WaitingTime;GQ_WaitingTime;Lateness;Tardiness;ReservStartDate;ReservFinishDate;ProcessorName;Energy;
-1;1;-1;cluster;1;1225666800;1225679400;1225679400;1225666800;1225666800;12600;0;12600;0;0;12600;0;0;0;0;0;0;[Processor_0];
-2;2;-1;cluster;1;1225668600;1225687439;1225687439;1225668600;1225668600;20639;1800;18839;1800;0;18839;0;0;0;0;0;0;[Processor_1];
-3;3;-1;cluster;1;1225670400;1225690769;1225690769;1225670400;1225670400;23969;3600;20369;3600;0;20369;0;0;0;0;0;0;[Processor_2];
-4;4;-1;cluster;1;1225672200;1225701000;1225701000;1225672200;1225672200;34200;5400;28800;5400;0;28800;0;0;0;0;0;0;[Processor_3];
Index: WoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_Jobs.txt
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_Jobs.txt	(revision 1217)
+++ 	(revision )
@@ -1,5 +1,0 @@
-jobID;meanTaskCompletionTime;meanTaskExecutionTime;meanTaskStartTime;meanTaskFlowTime;meanTaskWaitingTime;meanTaskGQ_WaitingTime;lateness;tardiness;makespan;
-1;12,600;12,600;0;12,600;0;0;0;0;12,600;
-2;20,639;18,839;0;18,839;0;0;0;0;20,639;
-3;23,969;20,369;0;20,369;0;0;0;0;23,969;
-4;34,200;28,800;0;28,800;0;0;0;0;34,200;
Index: WoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_Temperature.txt
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_Temperature.txt	(revision 1217)
+++ 	(revision )
@@ -1,6 +1,0 @@
-resourceName;timestamp;temperature;
-
-
-
-
-
Index: WoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_EnergyUsage.txt
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_EnergyUsage.txt	(revision 1217)
+++ 	(revision )
@@ -1,30 +1,0 @@
-resourceName;timestamp;consumption;
-
-Processor_0;1225666800000;350;
-Processor_0;1225668600000;343;
-Processor_0;1225670400000;337;
-Processor_0;1225672200000;330;
-Processor_0;1225701000000;330;
-mean: 332.10526315789474 sum: 3155.0
-
-Processor_1;1225666800000;350;
-Processor_1;1225668600000;343;
-Processor_1;1225670400000;337;
-Processor_1;1225672200000;330;
-Processor_1;1225701000000;330;
-mean: 332.10526315789474 sum: 3155.0
-
-Processor_2;1225666800000;350;
-Processor_2;1225668600000;343;
-Processor_2;1225670400000;337;
-Processor_2;1225672200000;330;
-Processor_2;1225701000000;330;
-mean: 332.10526315789474 sum: 3155.0
-
-Processor_3;1225666800000;350;
-Processor_3;1225668600000;343;
-Processor_3;1225670400000;337;
-Processor_3;1225672200000;330;
-Processor_3;1225701000000;330;
-mean: 332.10526315789474 sum: 3155.0
-