Index: DCWoRMS/branches/coolemall/example/experiment5_result/Stats_Simulation_1_Metrics.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment5_result/Stats_Simulation_1_Metrics.txt	(revision 1223)
+++ DCWoRMS/branches/coolemall/example/experiment5_result/Stats_Simulation_1_Metrics.txt	(revision 1371)
@@ -10,8 +10,2 @@
 
 
-
-
-
-
-
-
Index: DCWoRMS/branches/coolemall/example/experiment5_result/Stats_Simulation_1_EnergyUsage.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment5_result/Stats_Simulation_1_EnergyUsage.txt	(revision 1223)
+++ DCWoRMS/branches/coolemall/example/experiment5_result/Stats_Simulation_1_EnergyUsage.txt	(revision 1371)
@@ -1,24 +1,15 @@
-powerConsumption;compRes/Node_1;1225666800000;900;
-powerConsumption;compRes/Node_1;1225674000000;760;
-powerConsumption;compRes/Node_1;1225724400000;760;
-mean: 777.5 sum: 12440.0
-powerConsumption;compRes/Node_2;1225666800000;900;
-powerConsumption;compRes/Node_2;1225677600000;780;
-powerConsumption;compRes/Node_2;1225681200000;760;
-powerConsumption;compRes/Node_2;1225688400000;780;
-powerConsumption;compRes/Node_2;1225710000000;760;
-powerConsumption;compRes/Node_2;1225713600000;780;
-powerConsumption;compRes/Node_2;1225724400000;760;
-mean: 798.75 sum: 12780.0
-powerConsumption;compRes/Node_3;1225666800000;880;
-powerConsumption;compRes/Node_3;1225674000000;860;
-powerConsumption;compRes/Node_3;1225692000000;880;
-powerConsumption;compRes/Node_3;1225717200000;860;
-powerConsumption;compRes/Node_3;1225724400000;860;
-mean: 871.25 sum: 13940.0
-powerConsumption;compRes/Node_4;1225666800000;880;
-powerConsumption;compRes/Node_4;1225695600000;860;
-powerConsumption;compRes/Node_4;1225706400000;880;
-powerConsumption;compRes/Node_4;1225720800000;860;
-powerConsumption;compRes/Node_4;1225724400000;860;
-mean: 875.0 sum: 14000.0
+powerConsumption;compRes/Node_1;1225666800000;750;
+powerConsumption;compRes/Node_1;1225674000000;0;
+powerConsumption;compRes/Node_1;1225724400000;0;
+mean: 93.75 sum: 1500.0
+powerConsumption;compRes/Node_2;1225666800000;750;
+powerConsumption;compRes/Node_2;1225724400000;0;
+mean: 750.0 sum: 12000.0
+powerConsumption;compRes/Node_3;1225666800000;10;
+powerConsumption;compRes/Node_3;1225670400000;850;
+powerConsumption;compRes/Node_3;1225677600000;0;
+powerConsumption;compRes/Node_3;1225724400000;0;
+mean: 106.875 sum: 1710.0
+powerConsumption;compRes/Node_4;1225666800000;10;
+powerConsumption;compRes/Node_4;1225724400000;10;
+mean: 10.0 sum: 160.0
Index: DCWoRMS/branches/coolemall/example/experiment5_result/Stats_Simulation_1_Devices.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment5_result/Stats_Simulation_1_Devices.txt	(revision 1223)
+++ DCWoRMS/branches/coolemall/example/experiment5_result/Stats_Simulation_1_Devices.txt	(revision 1371)
@@ -1,48 +1,24 @@
-powerConsumption;compRes/Node_1/Fan_1;1225666800000;150;
-powerConsumption;compRes/Node_1/Fan_1;1225674000000;10;
-powerConsumption;compRes/Node_1/Fan_1;1225724400000;10;
-mean: 27.5 sum: 440.0
-airFlow;compRes/Node_1/Fan_1;1225666800000;1,500;
-airFlow;compRes/Node_1/Fan_1;1225674000000;0;
+powerConsumption;compRes/Node_1/Fan_1;1225666800000;0;
+powerConsumption;compRes/Node_1/Fan_1;1225724400000;0;
+mean: 0.0 sum: 0.0
+airFlow;compRes/Node_1/Fan_1;1225666800000;0;
 airFlow;compRes/Node_1/Fan_1;1225724400000;0;
-mean: 187.5
-powerConsumption;compRes/Node_2/Fan_2;1225666800000;150;
-powerConsumption;compRes/Node_2/Fan_2;1225677600000;30;
-powerConsumption;compRes/Node_2/Fan_2;1225681200000;10;
-powerConsumption;compRes/Node_2/Fan_2;1225688400000;30;
-powerConsumption;compRes/Node_2/Fan_2;1225710000000;10;
-powerConsumption;compRes/Node_2/Fan_2;1225713600000;30;
-powerConsumption;compRes/Node_2/Fan_2;1225724400000;10;
-mean: 48.75 sum: 780.0
-airFlow;compRes/Node_2/Fan_2;1225666800000;1,500;
-airFlow;compRes/Node_2/Fan_2;1225677600000;1,000;
-airFlow;compRes/Node_2/Fan_2;1225681200000;0;
-airFlow;compRes/Node_2/Fan_2;1225688400000;1,000;
-airFlow;compRes/Node_2/Fan_2;1225710000000;0;
-airFlow;compRes/Node_2/Fan_2;1225713600000;1,000;
+mean: 0.0
+powerConsumption;compRes/Node_2/Fan_2;1225666800000;0;
+powerConsumption;compRes/Node_2/Fan_2;1225724400000;0;
+mean: 0.0 sum: 0.0
+airFlow;compRes/Node_2/Fan_2;1225666800000;0;
 airFlow;compRes/Node_2/Fan_2;1225724400000;0;
-mean: 906.25
-powerConsumption;compRes/Node_3/Fan_3;1225666800000;30;
-powerConsumption;compRes/Node_3/Fan_3;1225674000000;10;
-powerConsumption;compRes/Node_3/Fan_3;1225692000000;30;
-powerConsumption;compRes/Node_3/Fan_3;1225717200000;10;
-powerConsumption;compRes/Node_3/Fan_3;1225724400000;10;
-mean: 21.25 sum: 340.0
-airFlow;compRes/Node_3/Fan_3;1225666800000;1,000;
-airFlow;compRes/Node_3/Fan_3;1225674000000;0;
-airFlow;compRes/Node_3/Fan_3;1225692000000;1,000;
-airFlow;compRes/Node_3/Fan_3;1225717200000;0;
+mean: 0.0
+powerConsumption;compRes/Node_3/Fan_3;1225666800000;0;
+powerConsumption;compRes/Node_3/Fan_3;1225724400000;0;
+mean: 0.0 sum: 0.0
+airFlow;compRes/Node_3/Fan_3;1225666800000;0;
 airFlow;compRes/Node_3/Fan_3;1225724400000;0;
-mean: 562.5
-powerConsumption;compRes/Node_4/Fan_4;1225666800000;30;
-powerConsumption;compRes/Node_4/Fan_4;1225695600000;10;
-powerConsumption;compRes/Node_4/Fan_4;1225706400000;30;
-powerConsumption;compRes/Node_4/Fan_4;1225720800000;10;
-powerConsumption;compRes/Node_4/Fan_4;1225724400000;10;
-mean: 25.0 sum: 400.0
-airFlow;compRes/Node_4/Fan_4;1225666800000;1,000;
-airFlow;compRes/Node_4/Fan_4;1225695600000;0;
-airFlow;compRes/Node_4/Fan_4;1225706400000;1,000;
-airFlow;compRes/Node_4/Fan_4;1225720800000;0;
+mean: 0.0
+powerConsumption;compRes/Node_4/Fan_4;1225666800000;0;
+powerConsumption;compRes/Node_4/Fan_4;1225724400000;0;
+mean: 0.0 sum: 0.0
+airFlow;compRes/Node_4/Fan_4;1225666800000;0;
 airFlow;compRes/Node_4/Fan_4;1225724400000;0;
-mean: 750.0
+mean: 0.0
Index: DCWoRMS/branches/coolemall/example/experiment5_result/Stats_Simulation_1_ResourceUtilization.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment5_result/Stats_Simulation_1_ResourceUtilization.txt	(revision 1223)
+++ DCWoRMS/branches/coolemall/example/experiment5_result/Stats_Simulation_1_ResourceUtilization.txt	(revision 1371)
@@ -14,31 +14,30 @@
 utlization;compRes;1225724400000;0;
 mean: 0.18359375
-utlization;compRes/Node_1;1225666800000;0.5;
+utlization;compRes/Node_1;1225666800000;1;
 utlization;compRes/Node_1;1225674000000;0;
 utlization;compRes/Node_1;1225724400000;0;
-mean: 0.0625
-utlization;compRes/Node_2;1225666800000;0.5;
-utlization;compRes/Node_2;1225670400000;0.75;
-utlization;compRes/Node_2;1225674000000;0.5;
-utlization;compRes/Node_2;1225677600000;0.25;
-utlization;compRes/Node_2;1225681200000;0;
-utlization;compRes/Node_2;1225688400000;0.25;
-utlization;compRes/Node_2;1225710000000;0;
-utlization;compRes/Node_2;1225713600000;0.25;
+mean: 0.125
+utlization;compRes/Node_2;1225666800000;1;
+utlization;compRes/Node_2;1225674000000;0.75;
+utlization;compRes/Node_2;1225677600000;0.5;
+utlization;compRes/Node_2;1225681200000;0.25;
+utlization;compRes/Node_2;1225688400000;0.5;
+utlization;compRes/Node_2;1225692000000;0.75;
+utlization;compRes/Node_2;1225695600000;0.5;
+utlization;compRes/Node_2;1225706400000;0.75;
+utlization;compRes/Node_2;1225710000000;0.5;
+utlization;compRes/Node_2;1225713600000;0.75;
+utlization;compRes/Node_2;1225717200000;0.5;
+utlization;compRes/Node_2;1225720800000;0.25;
 utlization;compRes/Node_2;1225724400000;0;
-mean: 0.265625
-utlization;compRes/Node_3;1225666800000;0.5;
-utlization;compRes/Node_3;1225674000000;0;
-utlization;compRes/Node_3;1225692000000;0.25;
-utlization;compRes/Node_3;1225717200000;0;
+mean: 0.578125
+utlization;compRes/Node_3;1225666800000;0;
+utlization;compRes/Node_3;1225670400000;0.25;
+utlization;compRes/Node_3;1225677600000;0;
 utlization;compRes/Node_3;1225724400000;0;
-mean: 0.171875
-utlization;compRes/Node_4;1225666800000;0.5;
-utlization;compRes/Node_4;1225677600000;0.25;
-utlization;compRes/Node_4;1225695600000;0;
-utlization;compRes/Node_4;1225706400000;0.25;
-utlization;compRes/Node_4;1225720800000;0;
+mean: 0.03125
+utlization;compRes/Node_4;1225666800000;0;
 utlization;compRes/Node_4;1225724400000;0;
-mean: 0.234375
+mean: 0.0
 utlization;compRes/Node_1/Processor_1;1225666800000;1;
 utlization;compRes/Node_1/Processor_1;1225674000000;0;
@@ -49,10 +48,12 @@
 utlization;compRes/Node_1/Processor_2;1225724400000;0;
 mean: 0.125
-utlization;compRes/Node_1/Processor_3;1225666800000;0;
+utlization;compRes/Node_1/Processor_3;1225666800000;1;
+utlization;compRes/Node_1/Processor_3;1225674000000;0;
 utlization;compRes/Node_1/Processor_3;1225724400000;0;
-mean: 0.0
-utlization;compRes/Node_1/Processor_4;1225666800000;0;
+mean: 0.125
+utlization;compRes/Node_1/Processor_4;1225666800000;1;
+utlization;compRes/Node_1/Processor_4;1225674000000;0;
 utlization;compRes/Node_1/Processor_4;1225724400000;0;
-mean: 0.0
+mean: 0.125
 utlization;compRes/Node_2/Processor_5;1225666800000;1;
 utlization;compRes/Node_2/Processor_5;1225674000000;0;
@@ -63,25 +64,27 @@
 mean: 0.6875
 utlization;compRes/Node_2/Processor_6;1225666800000;1;
-utlization;compRes/Node_2/Processor_6;1225681200000;0;
+utlization;compRes/Node_2/Processor_6;1225677600000;0;
+utlization;compRes/Node_2/Processor_6;1225692000000;1;
+utlization;compRes/Node_2/Processor_6;1225717200000;0;
 utlization;compRes/Node_2/Processor_6;1225724400000;0;
-mean: 0.25
-utlization;compRes/Node_2/Processor_7;1225666800000;0;
-utlization;compRes/Node_2/Processor_7;1225670400000;1;
-utlization;compRes/Node_2/Processor_7;1225677600000;0;
+mean: 0.625
+utlization;compRes/Node_2/Processor_7;1225666800000;1;
+utlization;compRes/Node_2/Processor_7;1225681200000;0;
+utlization;compRes/Node_2/Processor_7;1225706400000;1;
+utlization;compRes/Node_2/Processor_7;1225720800000;0;
 utlization;compRes/Node_2/Processor_7;1225724400000;0;
+mean: 0.5
+utlization;compRes/Node_2/Processor_8;1225666800000;1;
+utlization;compRes/Node_2/Processor_8;1225695600000;0;
+utlization;compRes/Node_2/Processor_8;1225724400000;0;
+mean: 0.5
+utlization;compRes/Node_3/Processor_9;1225666800000;0;
+utlization;compRes/Node_3/Processor_9;1225670400000;1;
+utlization;compRes/Node_3/Processor_9;1225677600000;0;
+utlization;compRes/Node_3/Processor_9;1225724400000;0;
 mean: 0.125
-utlization;compRes/Node_2/Processor_8;1225666800000;0;
-utlization;compRes/Node_2/Processor_8;1225724400000;0;
+utlization;compRes/Node_3/Processor_10;1225666800000;0;
+utlization;compRes/Node_3/Processor_10;1225724400000;0;
 mean: 0.0
-utlization;compRes/Node_3/Processor_9;1225666800000;1;
-utlization;compRes/Node_3/Processor_9;1225674000000;0;
-utlization;compRes/Node_3/Processor_9;1225692000000;1;
-utlization;compRes/Node_3/Processor_9;1225717200000;0;
-utlization;compRes/Node_3/Processor_9;1225724400000;0;
-mean: 0.5625
-utlization;compRes/Node_3/Processor_10;1225666800000;1;
-utlization;compRes/Node_3/Processor_10;1225674000000;0;
-utlization;compRes/Node_3/Processor_10;1225724400000;0;
-mean: 0.125
 utlization;compRes/Node_3/Processor_11;1225666800000;0;
 utlization;compRes/Node_3/Processor_11;1225724400000;0;
@@ -90,14 +93,10 @@
 utlization;compRes/Node_3/Processor_12;1225724400000;0;
 mean: 0.0
-utlization;compRes/Node_4/Processor_13;1225666800000;1;
-utlization;compRes/Node_4/Processor_13;1225677600000;0;
-utlization;compRes/Node_4/Processor_13;1225706400000;1;
-utlization;compRes/Node_4/Processor_13;1225720800000;0;
+utlization;compRes/Node_4/Processor_13;1225666800000;0;
 utlization;compRes/Node_4/Processor_13;1225724400000;0;
-mean: 0.4375
-utlization;compRes/Node_4/Processor_14;1225666800000;1;
-utlization;compRes/Node_4/Processor_14;1225695600000;0;
+mean: 0.0
+utlization;compRes/Node_4/Processor_14;1225666800000;0;
 utlization;compRes/Node_4/Processor_14;1225724400000;0;
-mean: 0.5
+mean: 0.0
 utlization;compRes/Node_4/Processor_15;1225666800000;0;
 utlization;compRes/Node_4/Processor_15;1225724400000;0;
Index: DCWoRMS/branches/coolemall/example/experiment5_result/Stats_Simulation_1_Simulation.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment5_result/Stats_Simulation_1_Simulation.txt	(revision 1223)
+++ DCWoRMS/branches/coolemall/example/experiment5_result/Stats_Simulation_1_Simulation.txt	(revision 1371)
@@ -5,5 +5,5 @@
 Resources queue length;0.812;0;0;0.812;0.812;0.812;1;
 Resources total load;0.184;0;0;0.184;0.184;0.184;1;
-Energy usage;13,290;690.869;477,300;12,440;14,000;53,160;4;
+Energy usage;3,842.5;4,747.117;22,535,118.75;160;12,000;15,370;4;
 Task completion time;23,538.462;19,546.14;382,051,597.633;7,200;57,600;306,000;13;
 Task execution time;13,015.385;7,274.174;52,913,609.467;7,200;28,800;169,200;13;
Index: DCWoRMS/branches/coolemall/example/experiment5_result/Stats_Simulation_1_Tasks.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment5_result/Stats_Simulation_1_Tasks.txt	(revision 1223)
+++ DCWoRMS/branches/coolemall/example/experiment5_result/Stats_Simulation_1_Tasks.txt	(revision 1371)
@@ -1,14 +1,14 @@
 JobID;TaskID;UserDN;SchedName;CpuCnt;ExecStartDate;ExecFinishDate;ExecEndDate;GB_SubDate;LB_SubDate;CompletionTime;ExecStartTime;ExecutionTime;ReadyTime;StartTime;FlowTime;WaitingTime;GQ_WaitingTime;Lateness;Tardiness;ReservStartDate;ReservFinishDate;HostNames;ProcessorName;Energy;AppName;
-1;1;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[compRes/Node_3];[compRes/Node_3/Processor_9];0;null;
-2;2;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[compRes/Node_1];[compRes/Node_1/Processor_1];0;null;
-3;3;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[compRes/Node_1];[compRes/Node_1/Processor_2];0;null;
-4;4;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[compRes/Node_3];[compRes/Node_3/Processor_10];0;null;
+1;1;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[compRes/Node_1];[compRes/Node_1/Processor_1];0;null;
+2;2;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[compRes/Node_1];[compRes/Node_1/Processor_2];0;null;
+3;3;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[compRes/Node_1];[compRes/Node_1/Processor_3];0;null;
+4;4;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[compRes/Node_1];[compRes/Node_1/Processor_4];0;null;
 5;5;-1;cluster;1;1225666800;1225674000;1225674000;1225666800;1225666800;7200;0;7200;0;0;7200;0;0;0;0;0;0;[compRes/Node_2];[compRes/Node_2/Processor_5];0;null;
-6;6;-1;cluster;1;1225666800;1225677600;1225677600;1225666800;1225666800;10800;0;10800;0;0;10800;0;0;0;0;0;0;[compRes/Node_4];[compRes/Node_4/Processor_13];0;null;
-7;7;-1;cluster;1;1225666800;1225681200;1225681200;1225666800;1225666800;14400;0;14400;0;0;14400;0;0;0;0;0;0;[compRes/Node_2];[compRes/Node_2/Processor_6];0;null;
-8;8;-1;cluster;1;1225666800;1225695600;1225695600;1225666800;1225666800;28800;0;28800;0;0;28800;0;0;0;0;0;0;[compRes/Node_4];[compRes/Node_4/Processor_14];0;null;
-9;9;-1;cluster;1;1225670400;1225677600;1225677600;1225670400;1225670400;10800;3600;7200;3600;0;7200;0;0;0;0;0;0;[compRes/Node_2];[compRes/Node_2/Processor_7];0;null;
+6;6;-1;cluster;1;1225666800;1225677600;1225677600;1225666800;1225666800;10800;0;10800;0;0;10800;0;0;0;0;0;0;[compRes/Node_2];[compRes/Node_2/Processor_6];0;null;
+7;7;-1;cluster;1;1225666800;1225681200;1225681200;1225666800;1225666800;14400;0;14400;0;0;14400;0;0;0;0;0;0;[compRes/Node_2];[compRes/Node_2/Processor_7];0;null;
+8;8;-1;cluster;1;1225666800;1225695600;1225695600;1225666800;1225666800;28800;0;28800;0;0;28800;0;0;0;0;0;0;[compRes/Node_2];[compRes/Node_2/Processor_8];0;null;
+9;9;-1;cluster;1;1225670400;1225677600;1225677600;1225670400;1225670400;10800;3600;7200;3600;0;7200;0;0;0;0;0;0;[compRes/Node_3];[compRes/Node_3/Processor_9];0;null;
 10;10;-1;cluster;1;1225688400;1225710000;1225710000;1225688400;1225688400;43200;21600;21600;21600;0;21600;0;0;0;0;0;0;[compRes/Node_2];[compRes/Node_2/Processor_5];0;null;
-11;11;-1;cluster;1;1225692000;1225717200;1225717200;1225692000;1225692000;50400;25200;25200;25200;0;25200;0;0;0;0;0;0;[compRes/Node_3];[compRes/Node_3/Processor_9];0;null;
-12;12;-1;cluster;1;1225706400;1225720800;1225720800;1225706400;1225706400;54000;39600;14400;39600;0;14400;0;0;0;0;0;0;[compRes/Node_4];[compRes/Node_4/Processor_13];0;null;
+11;11;-1;cluster;1;1225692000;1225717200;1225717200;1225692000;1225692000;50400;25200;25200;25200;0;25200;0;0;0;0;0;0;[compRes/Node_2];[compRes/Node_2/Processor_6];0;null;
+12;12;-1;cluster;1;1225706400;1225720800;1225720800;1225706400;1225706400;54000;39600;14400;39600;0;14400;0;0;0;0;0;0;[compRes/Node_2];[compRes/Node_2/Processor_7];0;null;
 13;13;-1;cluster;1;1225713600;1225724400;1225724400;1225713600;1225713600;57600;46800;10800;46800;0;10800;0;0;0;0;0;0;[compRes/Node_2];[compRes/Node_2/Processor_5];0;null;
Index: DCWoRMS/branches/coolemall/example/experiment5_result/Stats_Simulation_1_ResourceOccupancy.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment5_result/Stats_Simulation_1_ResourceOccupancy.txt	(revision 1371)
+++ DCWoRMS/branches/coolemall/example/experiment5_result/Stats_Simulation_1_ResourceOccupancy.txt	(revision 1371)
@@ -0,0 +1,106 @@
+utlization;compRes;1225666800000;0.5;
+utlization;compRes;1225670400000;0.562;
+utlization;compRes;1225674000000;0.25;
+utlization;compRes;1225677600000;0.125;
+utlization;compRes;1225681200000;0.062;
+utlization;compRes;1225688400000;0.125;
+utlization;compRes;1225692000000;0.188;
+utlization;compRes;1225695600000;0.125;
+utlization;compRes;1225706400000;0.188;
+utlization;compRes;1225710000000;0.125;
+utlization;compRes;1225713600000;0.188;
+utlization;compRes;1225717200000;0.125;
+utlization;compRes;1225720800000;0.062;
+utlization;compRes;1225724400000;0;
+mean: 0.18359375
+utlization;compRes/Node_1;1225666800000;1;
+utlization;compRes/Node_1;1225674000000;0;
+utlization;compRes/Node_1;1225724400000;0;
+mean: 0.125
+utlization;compRes/Node_2;1225666800000;1;
+utlization;compRes/Node_2;1225674000000;0.75;
+utlization;compRes/Node_2;1225677600000;0.5;
+utlization;compRes/Node_2;1225681200000;0.25;
+utlization;compRes/Node_2;1225688400000;0.5;
+utlization;compRes/Node_2;1225692000000;0.75;
+utlization;compRes/Node_2;1225695600000;0.5;
+utlization;compRes/Node_2;1225706400000;0.75;
+utlization;compRes/Node_2;1225710000000;0.5;
+utlization;compRes/Node_2;1225713600000;0.75;
+utlization;compRes/Node_2;1225717200000;0.5;
+utlization;compRes/Node_2;1225720800000;0.25;
+utlization;compRes/Node_2;1225724400000;0;
+mean: 0.578125
+utlization;compRes/Node_3;1225666800000;0;
+utlization;compRes/Node_3;1225670400000;0.25;
+utlization;compRes/Node_3;1225677600000;0;
+utlization;compRes/Node_3;1225724400000;0;
+mean: 0.03125
+utlization;compRes/Node_4;1225666800000;0;
+utlization;compRes/Node_4;1225724400000;0;
+mean: 0.0
+utlization;compRes/Node_1/Processor_1;1225666800000;1;
+utlization;compRes/Node_1/Processor_1;1225674000000;0;
+utlization;compRes/Node_1/Processor_1;1225724400000;0;
+mean: 0.125
+utlization;compRes/Node_1/Processor_2;1225666800000;1;
+utlization;compRes/Node_1/Processor_2;1225674000000;0;
+utlization;compRes/Node_1/Processor_2;1225724400000;0;
+mean: 0.125
+utlization;compRes/Node_1/Processor_3;1225666800000;1;
+utlization;compRes/Node_1/Processor_3;1225674000000;0;
+utlization;compRes/Node_1/Processor_3;1225724400000;0;
+mean: 0.125
+utlization;compRes/Node_1/Processor_4;1225666800000;1;
+utlization;compRes/Node_1/Processor_4;1225674000000;0;
+utlization;compRes/Node_1/Processor_4;1225724400000;0;
+mean: 0.125
+utlization;compRes/Node_2/Processor_5;1225666800000;1;
+utlization;compRes/Node_2/Processor_5;1225674000000;0;
+utlization;compRes/Node_2/Processor_5;1225688400000;1;
+utlization;compRes/Node_2/Processor_5;1225710000000;0;
+utlization;compRes/Node_2/Processor_5;1225713600000;1;
+utlization;compRes/Node_2/Processor_5;1225724400000;0;
+mean: 0.6875
+utlization;compRes/Node_2/Processor_6;1225666800000;1;
+utlization;compRes/Node_2/Processor_6;1225677600000;0;
+utlization;compRes/Node_2/Processor_6;1225692000000;1;
+utlization;compRes/Node_2/Processor_6;1225717200000;0;
+utlization;compRes/Node_2/Processor_6;1225724400000;0;
+mean: 0.625
+utlization;compRes/Node_2/Processor_7;1225666800000;1;
+utlization;compRes/Node_2/Processor_7;1225681200000;0;
+utlization;compRes/Node_2/Processor_7;1225706400000;1;
+utlization;compRes/Node_2/Processor_7;1225720800000;0;
+utlization;compRes/Node_2/Processor_7;1225724400000;0;
+mean: 0.5
+utlization;compRes/Node_2/Processor_8;1225666800000;1;
+utlization;compRes/Node_2/Processor_8;1225695600000;0;
+utlization;compRes/Node_2/Processor_8;1225724400000;0;
+mean: 0.5
+utlization;compRes/Node_3/Processor_9;1225666800000;0;
+utlization;compRes/Node_3/Processor_9;1225670400000;1;
+utlization;compRes/Node_3/Processor_9;1225677600000;0;
+utlization;compRes/Node_3/Processor_9;1225724400000;0;
+mean: 0.125
+utlization;compRes/Node_3/Processor_10;1225666800000;0;
+utlization;compRes/Node_3/Processor_10;1225724400000;0;
+mean: 0.0
+utlization;compRes/Node_3/Processor_11;1225666800000;0;
+utlization;compRes/Node_3/Processor_11;1225724400000;0;
+mean: 0.0
+utlization;compRes/Node_3/Processor_12;1225666800000;0;
+utlization;compRes/Node_3/Processor_12;1225724400000;0;
+mean: 0.0
+utlization;compRes/Node_4/Processor_13;1225666800000;0;
+utlization;compRes/Node_4/Processor_13;1225724400000;0;
+mean: 0.0
+utlization;compRes/Node_4/Processor_14;1225666800000;0;
+utlization;compRes/Node_4/Processor_14;1225724400000;0;
+mean: 0.0
+utlization;compRes/Node_4/Processor_15;1225666800000;0;
+utlization;compRes/Node_4/Processor_15;1225724400000;0;
+mean: 0.0
+utlization;compRes/Node_4/Processor_16;1225666800000;0;
+utlization;compRes/Node_4/Processor_16;1225724400000;0;
+mean: 0.0